> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get Procedure by ID

GET https://{tenant_name}.benchling.com/api/v3/procedure/{procedure_id}

Get a single Procedure by ID.

Reference: https://docs.benchling.com/docs/api/benchling-api/procedure/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `procedure_id` (string, required) — ID of the Procedure.

### Query parameters

- `returning` (string, optional) — Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.
- `omit` (string, optional) — Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

### Headers

- `EARLY-ACCESS` (string, optional) — Set to true to access beta operations via /api/v3.

## Response

### 200

OK

- `__typename` (string, optional)
- `archiveReason` (string, optional, nullable)
- `archived` (boolean, optional)
- `createdAt` (string, optional)
- `creator` (PrincipalRef, optional)
- `id` (string, optional)
- `latestProcedureFlowchartConfigVersion` (ProcedureFlowchartConfigVersionRef, optional, nullable) — A simplified view of the latest version of the flowchart config. This is the preferred way to access the latest flowchart config for procedures.
- `modifiedAt` (string, optional)
- `name` (string, optional)
- `procedureType` (enum, optional)
  - Allowed values: `RECIPE`, `ASSAY`
- `publishedProcedureFlowchartConfigVersion` (ProcedureFlowchartConfigVersionRef, optional, nullable) — A simplified view of the published version of the flowchart config. This is the preferred way to access the published flowchart config for procedures.
- `templateCollection` (TemplateCollectionRef, optional)
- `webUrl` (string, optional, nullable)
- `procedureFlowchart` (ProcedureFlowchartRef, optional, nullable, deprecated) — Use latestProcedureFlowchartConfigVersion for the latest flowchart version and publishedProcedureFlowchartConfigVersion for the published flowchart version.

## Errors

### 400 Procedure Get Request Bad Request Error

Bad Request

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 403 Procedure Get Request Forbidden Error

Forbidden

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 404 Procedure Get Request Not Found Error

Not Found

- `detail` (GeneralErrorDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)

### 429 Procedure Get Request Too Many Requests Error

Too Many Requests

- `detail` (TooManyRequestsErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `invalidId` (string, optional)
- `violated-policies` (list of enum, optional) — The budget policies that rejected the request, in canonical order: `user`, `integration`, then `tenant`.
  - Allowed values: `user`, `integration`, `tenant`

### 500 Procedure Get Request Internal Server Error

Internal Server Error

- `detail` (InternalServerErrorBodyDetail, required, nullable)
- `instance` (string, required)
- `status` (integer, required)
- `title` (string, required, nullable)
- `type` (string, required)
- `errorId` (string, optional)

## Types

### PrincipalRef

- `__typename` (string, optional)
- `id` (string, optional)

### ProcedureFlowchartConfigVersionRef

- `__typename` (string, optional)
- `id` (string, optional)

### TemplateCollectionRef

- `__typename` (string, optional)
- `id` (string, optional)

### ProcedureFlowchartRef

- `__typename` (string, optional)
- `id` (string, optional)

### GeneralErrorDetail

### TooManyRequestsErrorBodyDetail

### InternalServerErrorBodyDetail

## Examples

**Response**

```json
{
  "__typename": "__typename",
  "archiveReason": "archiveReason",
  "archived": true,
  "createdAt": "createdAt",
  "creator": {
    "__typename": "__typename",
    "id": "id"
  },
  "id": "id",
  "latestProcedureFlowchartConfigVersion": {
    "__typename": "__typename",
    "id": "id"
  },
  "modifiedAt": "modifiedAt",
  "name": "name",
  "procedureType": "RECIPE",
  "publishedProcedureFlowchartConfigVersion": {
    "__typename": "__typename",
    "id": "id"
  },
  "templateCollection": {
    "__typename": "__typename",
    "id": "id"
  },
  "webUrl": "webUrl",
  "procedureFlowchart": {
    "__typename": "__typename",
    "id": "id"
  }
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v3/procedure/procedure_id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v3/procedure/procedure_id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```